Bug 1127176 - Progress bar color stays red after resuming deployment
Summary: Progress bar color stays red after resuming deployment
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ruby193-rubygem-foreman-tasks
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Installer
Assignee: Todd Sanders
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 10:33 UTC by Tzach Shefi
Modified: 2016-09-29 13:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:24:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1127663 None None None Never

Internal Links: 1127663

Description Tzach Shefi 2014-08-06 10:33:02 UTC
Description of problem: On my deployment Neutron none HA, deployment got stuck 60% due to iptables bug, progress bar turned red as it should. Resuming deployment and running puppet agent -t -v deployment continued to deploy compute. Yet progress bar color remains red, should it turn back to blue if deployment is still running.

Version-Release number of selected component (if applicable):


How reproducible:
Not sure but think every time

Steps to Reproduce:
1. Deploy Neutron none NH setup.
2. Wait till Neutron host fails at 60%, fix iptables
3. Resume deployment and puppet agent -t -v 
4. Notice progress bar color still red

Actual results:
Progress bar remains red 

Expected results:
Should switch back to blue color if still running.

Additional info:

Comment 1 Tzach Shefi 2014-08-06 10:33:52 UTC
Forgot to add versions:

rhel-osp-installer-0.1.6-5.el6ost.noarch
foreman-installer-1.5.0-0.6.RC2.el6ost.noarch
openstack-foreman-installer-2.0.16-1.el6ost.noarch

Comment 3 Petr Chalupa 2014-08-06 12:48:49 UTC
This progress bar is part of foreman-tasks.

Comment 4 Petr Chalupa 2014-08-07 15:05:26 UTC
fixed in https://github.com/theforeman/foreman-tasks/pull/80

Comment 5 Petr Chalupa 2014-10-08 09:03:23 UTC
PR merged, will be in version > 0.6.10

Comment 8 Mike McCune 2016-03-28 23:42:22 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 9 Jaromir Coufal 2016-09-29 13:24:59 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.